##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (Root-Admin)	= PkgName
# sampledir (ksm-root-admin)	= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (sampleconf)	= config/include file name (no extension)
# sampledm (sampledm)		= the daemon (rc-script, rc-link, systemd.service)
# sample (sample)		= all others
##############################################################################

# Specfile for Root-Admin

%define name		ksm-root-admin
%define version		1.0.2
%define release		22.1.0
%define _arch		noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _sysddir	/etc/systemd/system
%define _uxbindir	/usr/bin
%define _uxsbindir	/usr/sbin
%define _bindir		/usr/local/bin
%define _sbindir	/usr/local/sbin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Progs for the Admin and for the Repomaster
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Other
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	dialog,openssh,postfix,procmail,rsync,sane-backends,tar,tree
Requires:	txt2man
Requires:	ksm-libstd-sh >= 5.0.1-0.0.0
#Provides:	sampledm
#Conflicts:	sampledm-other,libsample == 0.0.0
#Obsoletes:	mysampledm

%description
This package contains programs for the Admin and for the Repomaster.
The package contains the following programs:

 checkproc.sh, killproc.sh, mailst, make-sslcert-apache, make-sslcert-mail, 
 makemanpage, makemaps.postfix, makemaps.postfix-ldap, makemaps.sendmail, 
 makesendmail.cf, push-archives, rc-manager, repoman, 
 scan-scanner, setup-ksmtmp, signrepo, startproc.sh, 
 tarchiv, togglefastboot, togglefaxstop, toggleforcefsck, togglelogin, 
 togglelogin.ttyS1

Please check/configure:
 /usr/local/etc/push-archives.conf
 /usr/local/etc/setup-ksmtmp.incl

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/sampleconf.conf
#%config %{_confdir}/sampleconf.conf
#%config %{_scnfdir}/sampleconf
%{_confdir}/push-archives.conf
#%attr(644,root,root)%{_scnfdir}/sampleconf
%{_confdir}/setup-ksmtmp.incl.rpmnew

#%attr(744,root,root)%{_rcdir}/sampledm
#%attr(777,root,root)%{_sbindir}/rcsampledm
#%attr(744,root,root)%{_sbindir}/sampledm.sh

%attr(744,root,root)%{_bindir}/mailst
%attr(744,root,root)%{_bindir}/make-sslcert-apache
%attr(744,root,root)%{_bindir}/make-sslcert-mail
%attr(744,root,root)%{_bindir}/makemanpage
%attr(744,root,root)%{_bindir}/makemaps.postfix
%attr(744,root,root)%{_bindir}/makemaps.postfix-ldap
%attr(744,root,root)%{_bindir}/makemaps.sendmail
%attr(744,root,root)%{_bindir}/makesendmail.cf
%attr(744,root,root)%{_bindir}/push-archives
%attr(744,root,root)%{_bindir}/scan-scanner
%attr(744,root,root)%{_bindir}/setup-ksmtmp
%attr(755,root,root)%{_bindir}/signrepo
%attr(744,root,root)%{_bindir}/tarchiv
%attr(744,root,root)%{_bindir}/togglefastboot
%attr(744,root,root)%{_bindir}/togglefaxstop
%attr(744,root,root)%{_bindir}/toggleforcefsck
%attr(744,root,root)%{_bindir}/togglelogin
%attr(744,root,root)%{_bindir}/togglelogin.ttyS1

%attr(744,root,root)%{_sbindir}/checkproc.sh
%attr(744,root,root)%{_sbindir}/killproc.sh
%attr(744,root,root)%{_sbindir}/rc-manager
%attr(744,root,root)%{_sbindir}/repoman
%attr(744,root,root)%{_sbindir}/startproc.sh

%{_datadir}/RELEASE
%{_datadir}/VERSION
%{_datadir}/boot.local
%{_datadir}/boot.local.add
%{_datadir}/halt.local
%{_datadir}/halt.local.add
%{_datadir}/manpage-sample.txt
%{_datadir}/scanimage-help.txt
#%attr(744,root,root)%{_datadir}/sampledm.rc
#%{_datadir}/sampledm.service

#/usr/share/applications/sample.desktop

#%{_icondir}/16x16/apps/sample.png
#%{_icondir}/22x22/apps/sample.png
#%{_icondir}/32x32/apps/sample.png
#%{_icondir}/48x48/apps/sample.png
#%{_icondir}/64x64/apps/sample.png
#%{_icondir}/128x128/apps/sample.png
#/usr/share/pixmaps/sample.png
 
%docdir %{_man1dir}
%{_man1dir}/signrepo.1.gz

%docdir %{_man8dir}
%{_man8dir}/checkproc.sh.8.gz
%{_man8dir}/killproc.sh.8.gz
%{_man8dir}/mailst.8.gz
%{_man8dir}/make-sslcert-apache.8.gz
%{_man8dir}/make-sslcert-mail.8.gz
%{_man8dir}/makemanpage.8.gz
%{_man8dir}/makemaps.postfix.8.gz
%{_man8dir}/makemaps.postfix-ldap.8.gz
%{_man8dir}/makemaps.sendmail.8.gz
%{_man8dir}/makesendmail.cf.8.gz
%{_man8dir}/push-archives.8.gz
%{_man8dir}/rc-manager.8.gz
%{_man8dir}/repoman.8.gz
%{_man8dir}/scan-scanner.8.gz
%{_man8dir}/setup-ksmtmp.8.gz
%{_man8dir}/startproc.sh.8.gz
%{_man8dir}/tarchiv.8.gz
%{_man8dir}/togglefastboot.8.gz
%{_man8dir}/togglefaxstop.8.gz
%{_man8dir}/toggleforcefsck.8.gz
%{_man8dir}/togglelogin.8.gz
%{_man8dir}/togglelogin.ttyS1.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#%{_docdir}/README.de

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

#ngroup='' nuser='' npwd='' ncomm='' nhomedir='' nlogsh='' ngid=0 nuid=0 ret=0

# backup config files
test -e %{_confdir}/push-archives.conf && cp %{_confdir}/push-archives.conf %{_confdir}/push-archives.conf.rpmsave

# disable sample daemon and stop sampledm
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop -q > /dev/null 2>&1

# rm links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
#rm -f %{_libdir}/libfuncstd-sh

# uninstall desktop files
#xdg-desktop-menu uninstall \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

# remove entries from file boot.local
f=/etc/init.d/boot.local				# pathname of file
ft=boot.local						# template in datadir
t=/tmp/boot.local					# tempfile
s=ksm-root-admin					# flag for entries
if [ -e $f ]; then
	grep -q $s $f
	ret=$?
	if [ $ret -eq 0 ]; then
		cat $f | grep -v $s > $t
		cp $t $f
		rm -f $t
	fi
else
	cp %{_datadir}/$ft $f
fi

# remove entries from file halt.local
f=/etc/init.d/halt.local				# pathname of file
ft=halt.local						# template in datadir
t=/tmp/halt.local					# tempfile
s=ksm-root-admin					# flag for entries
if [ -e $f ]; then
	grep -q $s $f
	ret=$?
	if [ $ret -eq 0 ]; then
		cat $f | grep -v $s > $t
		cp $t $f
		rm -f $t
	fi
else
	cp %{_datadir}/$ft $f
fi

# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	if [ -e %{_sysddir}/sampledm.service ]; then
#		systemctl stop sampledm.service
#		systemctl disable sampledm.service
#		rm %{_sysddir}/sampledm.service
#		systemctl daemon-reload
#	fi
#else							# SysV init
#	test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop > /dev/null 2>&1
#	insserv -r sampledm > /dev/null 2>&1
#	rm -f %{_rcdir}/sampledm
#	rm -f %{_sbindir}/rcsampledm
#fi

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname. config file needs a version at first cnfvar!
cf=%{_confdir}/push-archives.conf
cnfvars=$(grep -v '^#' $cf | grep '[[:alnum:]]' | grep -v '\[' | cut -sd '=' -f1)
cnfvars=$(echo $cnfvars | cut -d ' ' -f2-)
ret=0

incf=%{_confdir}/setup-ksmtmp.incl

# enable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -e -q > /dev/null 2>&1

# set links
#ln -sf /usr/bin/prog %{_bindir}/myprog
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

# handle include files
if [ -e "$incf" ]; then
	rm $incf.rpmnew
else
	mv $incf.rpmnew $incf
	echo "Check $incf"
fi

# add entries to file boot.local
f=/etc/init.d/boot.local				# pathname of file
te=boot.local.add					# templ in datadir
cat %{_datadir}/$te >> $f

# add entries to file halt.local
f=/etc/init.d/halt.local				# pathname of file
te=halt.local.add					# templ in datadir
cat %{_datadir}/$te >> $f

# INIT SCRIPT/SYSTEMD UNIT - install samplename
#if [ -d %{_sysddir} ]; then				# systemd
#	cp --preserve=mode %{_datadir}/sampledm.service %{_sysddir}/
#	systemctl daemon-reload
#	systemctl enable sampledm.service
#	echo "sampledm is added to the bootprocess and will auto start at next boot."
#	echo "Now configure $cf"
#	echo "You may start sampledm within yast or manual with:"
#	echo "systemctl start sampledm.service"
#else							# SysV init
#	cp --preserve=mode %{_datadir}/sampledm.rc %{_rcdir}/sampledm
#	ln -sf %{_rcdir}/sampledm %{_sbindir}/rcsampledm
#	insserv sampledm > /dev/null 2>&1
#	echo "sampledm is added to the bootprocess and will auto start at next boot."
#	echo "Now configure $cf"
#	echo "You may start sampledm within yast or manual with rcsampledm start"
#fi

if [ "$1" == 1 ]; then					# install package
	mkdir -p /var/local/backup
	mkdir -p /var/local/tarchiv
	if [ ! -e /var/local/backup/excl-1 ]; then
		cp /dev/null /var/local/backup/excl-1
	fi
	if [ ! -e /var/local/backup/incl-1 ]; then
		cp /dev/null /var/local/backup/incl-1
	fi
	if [ ! -e /var/local/backup/tarchiv.dat ]; then
		echo "1	U	NEW" > /var/local/backup/tarchiv.dat
	fi

#	echo "Configure $cf"
#	echo "Users must create HOME/.samplerc with update-sample"
else							# upgrade package
	# update global conf push-archives.conf
	c='' s='' t=''
	ret=0
	if [ -e $cf.rpmsave ]; then
#		cp $cf $cf.rpmnew
		. $cf
		. $cf.rpmsave
		if [ -x %{_bindir}/replcnfvar ]; then
			for c in $cnfvars; do
				t="\$$c"
				eval s="$t"
				s=\"$s\"
				%{_bindir}/replcnfvar $cf $c "$s"
			done
		else
			echo "Error - cmd replcnfvar not found or not executable!" >&2
			echo "Conf file not updated!" >&2
		fi
		diff $cf $cf.rpmsave > /dev/null 2>&1
		ret=$?
		if [ "$ret" -eq 0 ]; then
			rm $cf.rpmsave
		else
			echo "Check $cf"
		fi
	fi

#	echo "If new version then users must update HOME/.samplerc with update-sample"
fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	# backup config files
	test -e %{_confdir}/push-archives.conf && cp %{_confdir}/push-archives.conf %{_confdir}/push-archives.conf.rpmsave
	#test -e %{_scnfdir}/sampleconf && cp %{_scnfdir}/sampleconf %{_scnfdir}/sampleconf.rpmsave

	# disable sample daemon and stop sampledm
	#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop -q > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
	#rm -f %{_libdir}/libfuncstd-sh

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/sample.directory \
	#	/usr/share/applications/sample.desktop \
	#	/usr/share/applications/sample-admin.desktop

	# remove entries from file boot.local
	f=/etc/init.d/boot.local			# pathname of file
	ft=boot.local					# template in datadir
	t=/tmp/boot.local				# tempfile
	s=ksm-root-admin				# flag for entries
	if [ -e $f ]; then
		grep -q $s $f
		ret=$?
		if [ $ret -eq 0 ]; then
			cat $f | grep -v $s > $t
			cp $t $f
			rm -f $t
		fi
	else
		cp %{_datadir}/$ft $f
	fi

	# remove entries from file halt.local
	f=/etc/init.d/halt.local			# pathname of file
	ft=halt.local					# template in datadir
	t=/tmp/halt.local				# tempfile
	s=ksm-root-admin				# flag for entries
	if [ -e $f ]; then
		grep -q $s $f
		ret=$?
		if [ $ret -eq 0 ]; then
			cat $f | grep -v $s > $t
			cp $t $f
			rm -f $t
		fi
	else
		cp %{_datadir}/$ft $f
	fi

	# INIT SCRIPT/SYSTEMD UNIT - uninstall samplename
	#if [ -d %{_sysddir} ]; then				# systemd
	#	if [ -e %{_sysddir}/sampledm.service ]; then
	#		systemctl stop sampledm.service
	#		systemctl disable sampledm.service
	#		rm %{_sysddir}/sampledm.service
	#		systemctl daemon-reload
	#	fi
	#else							# SysV init
	#	test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop > /dev/null 2>&1
	#	insserv -r sampledm > /dev/null 2>&1
	#	rm -f %{_rcdir}/sampledm
	#	rm -f %{_sbindir}/rcsampledm
	#fi
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/ksm-root-admin
#else							# upgrade package
fi
exit 0

%changelog
* Mon Jan 06 2025 Repomaster <repomaster@kaesmann-online.de> 1.0.2-22.1.0
- tarchiv has been revised/improved
  (fixed wrong order of options).

* Sun Jan 14 2024 Repomaster <repomaster@kaesmann-online.de> 1.0.2-22.0.0
- Added following progs:
  make-sslcert-apache, make-sslcert-mail,
  makemaps.postfix-ldap.

* Sun Feb 06 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.2-21.1.0
- scan-scanner has been revised/improved
  (fixed errmsgs).

* Thu Jan 06 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.2-21.0.0
- Update to the libfuncstd-sh 4.0.0

* Mon Oct 11 2021 Repomaster <repomaster@kaesmann-online.de> 1.0.2-20.1.0
- The package has been revised/improved
  (better handling for include files).

* Wed May 06 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.2-20.0.0
- The package has been revised/improved.

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.2-19.0.0
- The package has been revised/improved.

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.2-18.0.0
- fixed an error in the scriptlets.

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.2-17.0.0
- fixed an error in the scriptlets.

* Tue May 05 2020 Repomaster <repomaster@kaesmann-online.de> 1.0.2-16.0.0
- The requirements have changed.

* Tue Nov 19 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.2-15.0.0
- Deleted wlanprofiler

* Fri Jun 21 2019 Repomaster <repomaster@kaesmann-online.de> 1.0.2-14.2.0
- following progs have been revised/improved:
  makemaps.postfix
  makempas.sendmail
  (fixed misspelled function mainproc).

* Tue Sep 19 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-14.1.0
- Added dialogs for export/import repos files.

* Tue Sep 19 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-14.0.0
- Removed repoman-13.2. Now repoman serves
  the old and the new zypper version.

* Tue Sep 19 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-13.0.0
- Added repoman-13.2

* Sun Sep 17 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-12.0.0
- Added repoman

* Wed Aug 30 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-11.4.0
- Added files boot.local.add and halt.local.add
  (they are appended/removed to/from the corresponding
  files under /etc/init.d/).
- Removed forgotten manpage update-root-admin
- The RPM scriptlets have been revised.

* Tue May 02 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-11.3.0
- The rc-manager has been revised
  (improved detecting distribution).

* Tue May 02 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-11.2.0
- The rc-manager has been revised
  (using 'systemctl' for Systemd systems).

* Sat Apr 29 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-11.1.0
- The rc-manager has been revised
  (added dialog "Status/Start/Stop Init Scripts").

* Fri Apr 28 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-11.0.0
- Added rc-manager

* Fri Apr 28 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-10.2.0
- Following scripts have been moved
  from /root/bin to /usr/local/sbin:
  checkproc.sh, killproc.sh, startproc.sh

* Sat Feb 11 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-10.1.0
- Added script checkproc.sh
- The scripts killproc.sh and startproc.sh
  have been revised.

* Tue Feb 07 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-9.5.0
- All scripts have been revised
  (using function GetOpt).

* Thu Jan 12 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.2-9.4.0
- All scripts have been revised.

* Tue Nov 29 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.2-9.3.0
- The script setup-ksmtmp has been revised
  (permissions of /ksmtmp/lock are subject to change).

* Wed Nov 09 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.2-9.2.0
- The script tarchiv has been revised
  (Runtime error in line 329).

* Tue Nov 08 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.2-9.1.0
- The script tarchiv has been revised.

* Sun Mar 20 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.2-9.0.0
- The script tgzbuild has been moved to the new package
  ksm-tgzbuild .

* Sat Jun 20 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.2-8.7.0
- The script tarchiv has been revised
  (show totals if archiving).

* Tue Jun 09 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.2-8.6.0
- The script tarchiv has been revised
  (Now output goes to an index file).

* Sun Feb 08 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.2-8.5.0
- The script signrepo has been revised.
  (The user config file has been removed).

* Sat Feb 07 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.2-8.4.0
- The script signrepo has been revised.

* Fri Sep 26 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.2-8.3.0
- The script scan-scanner has been revised.

* Fri Sep 26 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.2-8.2.2
- The docu has been revised.

* Wed Sep 24 2014 Repomaster <repomaster@kaesmann.us> 1.0.2-8.2.1
- The Docu of script tarchiv has been revised.

* Fri Sep 19 2014 Repomaster <repomaster@kaesmann.us> 1.0.2-8.2.0
- The script tarchiv has been revised (added option -o).

* Mon Apr 08 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.2-8.1.0
- The include file of script setup-ksmtmp has been revised.

* Sun Apr 07 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.2-8.0.0
- The script setup-ksmtmp has been moved from package ksm-local-root
  to this package.

* Wed Apr 03 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.2-7.1.0
- Following scripts have been revised:
  togglefastboot, togglefaxstop, toggleforcefsck,
  togglelogin, togglelogin.ttyS1

* Sun Feb 10 2013 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-7.0.0
- Deleted the script watchurl.

* Tue Oct 09 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.9.0
- The script tgzbuild and the file install.sh.templ have
  been revised.

* Tue Oct 09 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.8.0
- The script tgzbuild has been revised.

* Sun Sep 30 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.7.0
- The package has been revised.

* Sun Sep 23 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.6.0
- The script push-archives has been revised.

* Thu Apr 26 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.5.0
- The config update process has been revised.

* Wed Apr 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.4.0
- Now the script tgzbuild has the global config file
  tgzbuild.conf

* Wed Apr 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.3.0
- The package has been revised.

* Tue Apr 24 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.2.3
- The Help for the script tarchiv has been revised.

* Tue Apr 24 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.2.2
- The Help for the script tarchiv has been revised.

* Mon Apr 23 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.2.1
- The Help for the script tarchiv has been revised.

* Mon Apr 23 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.2.0
- The script tarchiv is revised.

* Fri Apr 20 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.1.0
- The RPM scriptlets are revised.

* Thu Apr 12 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-6.0.0
- The script mailst has moved from the package ksm-local-root
  to this package.

* Tue Apr 03 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-5.1.0
- The release naming scheme has changed ('.ksm' is removed).

* Wed Mar 14 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-5.1.0.ksm
- The script makerpm is revised.

* Wed Mar 14 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-5.0.0.ksm
- The script buildtgz is renamed to tgzbuild and revised.
- Added the script makerpm.

* Sun Mar 11 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.2.0.ksm
- The script tarchiv is revised (cmd -l).

* Sun Feb 12 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.1.0.ksm
- The scripts makemaps.postfix and makemaps.sendmail are
  revised (option -f).

* Fri Nov 25 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.0.0.ksm
- Dependencies have changed.

* Thu Nov 17 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-3.0.0.ksm
- Following scripts has moved to package ksm-utils:
  rpmchk, rpminfo, rpmprovides, rpmrequires.

* Mon Nov 14 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.0.ksm
- The script nobody2root has moved to package ksm-utils.

* Sun Nov 13 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.0.0.ksm
- Following script has moved from package ksm-textproc to this
  package: makemanpage.
- Following scripts has moved from package ksm-utils to this
  package: buildtgz, makesendmail.cf, nobody2root, push-archives,
           scan-scanner, silent-ping, swserv, tarchiv, watchurl.

- The scripts makemanpage, makesendmail.cf and nobody2root are moved
  from the packages ksm-root-admin and ksm-utils to this package.

* Sat Nov 11 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.1.0.ksm
- The script rpminfo is revised (cmd -s).

* Sat Apr 16 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.0.0.ksm
- The script wlanprofiler get the global config file
  /usr/local/etc/wlanprofiler.conf
- The script signrepo get the user config file ~/.signreporc

* Wed Feb 16 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.2.0.ksm
- Added option -o to script rpminfo.

* Tue Jan 04 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.1.0.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Sun May 16 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.1.0.ksm
- The script wlanprofiler is revised.

* Sat May 15 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-3.0.0.ksm
- The script wlanprofiler is revised.

* Fri May 14 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-2.0.0.ksm
- Added the script wlanprofiler.

* Tue Feb 02 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.2.2.ksm
- Read version and dependency infos from external files.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.2.1.ksm
- The docu has changed.

* Mon Jan 25 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.2.0.ksm
- Added cmd -m to signrepo.

* Sun Jan 24 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.1.0.ksm
- Added cmd -c to rpminfo.

* Sun Jan 24 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-1.0.0.ksm
- Added the script signrepo

* Fri Jan 15 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.0.2.ksm
- The package name (Release) has changed.

* Tue Dec 01 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.ksm.0.1
- The manpage for rpminfo is corrected.

* Tue Nov 10 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.ksm.0.0
- Added script rpmrequires.

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The package management has changed to RPM.
